LicenseActivationControllerActivateManual Method |
POST /LicenseActivation/ActivateManual
Triggers a refresh using the manual workflow with the activation response provided.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
public HttpResponseMessage ActivateManual(
[FromBodyAttribute] string manualActivationResponse,
Nullable<Guid> sessionId = null
)
<HttpPostAttribute>
Public Function ActivateManual (
<FromBodyAttribute> manualActivationResponse As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessage
public:
[HttpPostAttribute]
HttpResponseMessage^ ActivateManual(
[FromBodyAttribute] String^ manualActivationResponse,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
member ActivateManual :
[<FromBodyAttribute>] manualActivationResponse : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- manualActivationResponse
- Type: SystemString
The serialized activation response for the manual activation. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageThe result of the license activation, or a status code indicating the problem.
See Also